DELETE
https://api.cryptohopper.com/v1/template/market/{template_id}
Deletes a template the user bought on the Marketplace. When the purchase qualifies for a refund it is refunded, and the message says so.
OAuth scope:
read manage About scopes
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/template/market/TEMPLATE_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
template_id |
string | Required | ID of the market template (template_id from Get market templates). |
Response
{
"data": "The market template has been deleted."
}